<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Admin Slegal</title>

  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="<%= base_url %>plugins/fontawesome-free/css/all.min.css">
  <!-- icheck bootstrap -->
  <link rel="stylesheet" href="<%= base_url %>plugins/icheck-bootstrap/icheck-bootstrap.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="<%= base_url %>dist/css/adminlte.min.css">
   <!-- Toastr -->
   <script src="<%= base_url %>plugins/jquery/jquery.min.js"></script>
   <!-- Bootstrap 4 -->
   <script src="<%= base_url %>plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
   <script src="<%= base_url %>plugins/sweetalert2/sweetalert2.min.js"></script>
   <!-- Toastr -->
   <script src="<%= base_url %>plugins/toastr/toastr.min.js"></script>
     <link rel="stylesheet" href="<%= base_url %>plugins/toastr/toastr.min.css">
</head>
<body class="hold-transition login-page">
<div class="login-box">
  <!-- /.login-logo -->
  <div class="card card-outline card-primary">
    <div class="card-header text-center">
      <img src="<%= base_url %>public/slegal_logo.png" alt="AdminLTE Logo" style="opacity: 1;height:50px">
    </div>
    <div class="card-body">
      <p class="login-box-msg">Mot de passe oublié</p>

      <form action="../../index3.html" method="post">
        <div class="input-group mb-3">
            <input type="text"   class="form-control" id="email" placeholder="Entrez l'email">
          <div class="input-group-append">
            <div class="input-group-text">
              <span class="fas fa-envelope"></span>
            </div>
          </div>
        </div>
       
        <div class="row">
         
          <!-- /.col -->
          <div class="col-6">
            <button type="button" onclick="handlesubmit()"   class="btn btn-primary">Soumettre</button>
           
          </div>
          <!-- /.col -->
        </div>
      </form>

      
      <!-- /.social-auth-links -->

     <script type="text/javascript">
      
     	function handlesubmit(paymentprovider){
            var email = $('#email').val();
          
            var data = {
                email: email
              
            };
            
            var baseurl= "<%= base_url %>";
            var url= baseurl+"forgotpassword";
           
            const requestOptions = {
            method: 'POST',
            headers: { 'Content-Type': 'application/json' },
            body: JSON.stringify(data)
        };
        fetch(url, requestOptions)
        .then(response => response.json())
        .then(data => {
            if(data.status){
                toastr.success(data.message);
                window.location.href="<%= base_url %>";
            }else{
              toastr.error(data.errmessage);
            }
        })
            }
    </script>
    </div>
    <!-- /.card-body -->
  </div>
  <!-- /.card -->
</div>
<!-- /.login-box -->

<!-- jQuery -->
<script src="<%= base_url %>plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="<%= base_url %>plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- AdminLTE App -->
<script src="<%= base_url %>dist/js/adminlte.min.js"></script>
</body>
</html>
